xcb_dbe_get_back_buffer_attributes(3)

NAME
xcb_dbe_get_back_buffer_attributes - Gets back buffer attributes

SYNOPSIS
#include <xcb/dbe.h>

  Request function

xcb_dbe_get_back_buffer_attributes_cookie_t xcb_dbe_get_back_buffer_attributes(xcb_connection_t *conn, xcb_dbe_back_buffer_t buffer);

  Reply datastructure

typedef struct xcb_dbe_get_back_buffer_attributes_reply_t {
    uint8_t                     response_type;
    uint8_t                     pad0;
    uint16_t                    sequence;
    uint32_t                    length;
    xcb_dbe_buffer_attributes_t attributes;
    uint8_t                     pad1[20];
} xcb_dbe_get_back_buffer_attributes_reply_t;

  Reply function

xcb_dbe_get_back_buffer_attributes_reply_t *xcb_dbe_get_back_buffer_attributes_reply(xcb_connection_t *conn, xcb_dbe_get_back_buffer_attributes_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

buffer
    The back buffer to query.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_DBE_GET_BACK_BUFFER_ATTRIBUTES. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

attributes
    TODO: NOT YET DOCUMENTED.

DESCRIPTION
Returns the attributes of the specified buffer.

RETURN VALUE
Returns an xcb_dbe_get_back_buffer_attributes_cookie_t. Errors have to be handled when calling the reply function xcb_dbe_get_back_buffer_attributes_reply. If you want to handle errors in the event loop instead, use xcb_dbe_get_back_buffer_attributes_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO
xcb-requests(3)

AUTHOR
Generated from dbe.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.